RUSTSEC-2023-0030

Source
https://rustsec.org/advisories/RUSTSEC-2023-0030
Import Source
https://github.com/rustsec/advisory-db/blob/osv/crates/RUSTSEC-2023-0030.json
Aliases
Published
2023-03-24T12:00:00Z
Modified
2023-11-08T04:12:11.444949Z
Summary
`Versionize::deserialize` implementation for `FamStructWrapper<T>` is lacking bound checks, potentially leading to out of bounds memory accesses
Details

An issue was discovered in the Versionize::deserialize implementation provided by the versionize crate for vmm_sys_util::fam::FamStructWrapper, which can lead to out of bounds memory accesses. The impact started with version 0.1.1. The issue was corrected in version 0.1.10 by inserting a check that verifies, for any deserialized header, the lengths of compared flexible arrays are equal and aborting deserialization otherwise.

References

Affected packages

crates.io / versionize

Package

Affected ranges

Type
SEMVER
Events
Introduced
0.0.0-0
Fixed
0.1.10

Ecosystem specific

{
    "affected_functions": null,
    "affects": {
        "os": [
            "linux"
        ],
        "functions": [],
        "arch": []
    }
}

Database specific

{
    "cvss": "CVSS:3.1/AV:L/AC:L/PR:N/UI:N/S:C/C:N/I:L/A:L",
    "informational": null,
    "categories": [
        "memory-exposure"
    ]
}